Summary: General dimension convex hull programs
Name: qhull
Version: 2003.1
Release: 1
License: Qhull
Group: System Environment/Libraries
Source0: http://www.qhull.org/download/%{name}-%{version}.tar.gz
Patch0: qhull-2003.1-alias.patch

URL: http://www.qhull.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: sed, patch, make

%description
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.


%package devel
Group: Development/Libraries
Summary: Development files for %{name} 
Requires: %{name} = %{version}-%{release}

%description devel
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.


%prep
%setup -n %{name}-%{version}
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1
sed -i -e "s,\"../html/,\"html/,g" src/*.htm


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
gmake %{?_smp_mflags}

cp ./src/.libs/lib%{name}.so.5 .
gmake distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
gmake %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ./src/.libs/lib%{name}.a ./lib%{name}.so.5


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} docdir=%{_docdir}/%{name}-%{version} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/*
%{_libdir}/*.a
%{_mandir}/man1/*
/usr/bin/*
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%{_includedir}/*
%{_libdir}/*.la
/usr/include/*
/usr/lib/*.la


%changelog
* Tue Sep 29 2009 Michael Perzl <michael@perzl.org> - 2003.1-1
- first version for AIX V5.1 and higher
